Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.io
Class CharEncodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.CharConversionException
                      com.novell.io.CharEncodingException

All Implemented Interfaces:
  Serializable

    public class CharEncodingException

extends CharConversionException

An exception designed to be thrown when a character cannot be encoded in a particular encoding. The exception gives the 32-bit character value, and the offset into whatever string or buffer the character occurred.

See Also:
  Serialized Form

Constructor Summary
`CharEncodingException(int value, int offset, int outputOffset)` Create an exception with the char value and offset

Method Summary
`String` | `getMessage()` Get a human readable version of the character value
`int` | `getOffset()` Get the offset into any buffer that the character came from.
`int` | `getOutputOffset()` Get the offset info the output buffer offset that was current when the exception was thrown.
`int` | `getValue()` Get the 32-bit character value that caused the exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharEncodingException

    public CharEncodingException(int value,
                                 int offset,
                                 int outputOffset)

  Create an exception with the char value and offset

Method Detail

### getMessage

    public String getMessage()

  Get a human readable version of the character value

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    A human readable version of the character value

### getValue

    public int getValue()

  Get the 32-bit character value that caused the exception

  Returns:
    The character value;

### getOffset

    public int getOffset()

  Get the offset into any buffer that the character came from.

  Returns:
    The offset of the offending character

### getOutputOffset

    public int getOutputOffset()

  Get the offset info the output buffer offset that was current when the exception was thrown.

  Returns:
    The offset into the output buffer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD